Bug 224342 - [NEW PORT] net-mgmt/py-ncclient: Python library for NETCONF clients
Summary: [NEW PORT] net-mgmt/py-ncclient: Python library for NETCONF clients
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks: 224343
  Show dependency treegraph
 
Reported: 2017-12-14 16:10 UTC by Sergey Akhmatov
Modified: 2018-04-05 03:45 UTC (History)
1 user (show)

See Also:
sergey: maintainer-feedback+


Attachments
net-mgmt/py-ncclient (2.28 KB, patch)
2017-12-14 16:10 UTC, Sergey Akhmatov
no flags Details | Diff
poudriere log py27 (38.70 KB, text/x-log)
2017-12-14 16:11 UTC, Sergey Akhmatov
no flags Details
poudriere log py36 (39.22 KB, text/x-log)
2017-12-14 16:12 UTC, Sergey Akhmatov
no flags Details
net-mgmt/py-ncclient (2.27 KB, patch)
2018-01-24 10:32 UTC, Sergey Akhmatov
sergey: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akhmatov 2017-12-14 16:10:10 UTC
Created attachment 188828 [details]
net-mgmt/py-ncclient

ncclient is a Python library for NETCONF clients. It aims to offer an intuitive API that sensibly maps the XML-encoded nature of NETCONF to Python constructs and idioms.

NETCONF protocol is defined in RFC 4741 and used to manipulate configurations of network devices from different vendors (Juniper, Cisco, etc)

WWW: https://github.com/ncclient/ncclient

Also needed as dependency for https://github.com/Juniper/py-junos-eznc which I plan to port a little later.

QA:
  portlint -ACN: OK
  poudriere testport: OK with @py27 and @py36 FLAVORS
  Works with Juniper hardware
Comment 1 Sergey Akhmatov 2017-12-14 16:11:46 UTC
Created attachment 188829 [details]
poudriere log py27
Comment 2 Sergey Akhmatov 2017-12-14 16:12:09 UTC
Created attachment 188830 [details]
poudriere log py36
Comment 3 Sergey Akhmatov 2018-01-24 10:32:44 UTC
Created attachment 190026 [details]
net-mgmt/py-ncclient

change to DISTVERSION
realligne tabs
Comment 4 Yuri Victorovich freebsd_committer 2018-04-05 03:44:59 UTC
Committed.
Thank you for your contribution!
Comment 5 commit-hook freebsd_committer 2018-04-05 03:45:24 UTC
A commit references this bug:

Author: yuri
Date: Thu Apr  5 03:44:55 UTC 2018
New revision: 466527
URL: https://svnweb.freebsd.org/changeset/ports/466527

Log:
  New port: net-mgmt/py-ncclient: Python library for NETCONF clients

  PR:		224342
  Submitted by:	Sergey Akhmatov <sergey@akhmatov.ru>

Changes:
  head/net-mgmt/Makefile
  head/net-mgmt/py-ncclient/
  head/net-mgmt/py-ncclient/Makefile
  head/net-mgmt/py-ncclient/distinfo
  head/net-mgmt/py-ncclient/pkg-descr